%define name cpudyn
%define version 0.4.6
%define release 1mdk

Summary: A tools to control CPU frequency
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}.initscript.bz2
License: GPL
Group: System/Kernel and hardware
Url: http://mnm.uib.es/~gallir/cpudyn/
BuildRoot: %{_tmppath}/%{name}-buildroot
ExclusiveArch: %ix86 ppc

%description
This program control the speed in Intel SpeedStep, Pentium 4 Mobile
and PowerPC machines with the cpufreq compiled in the kernel.


Tested with 2.4, Pentium 3 Speedstep Laptop (Dell Latitude),
Pentium 4 Mobile Laptop (Dell Inspiron), AMD Power Now, Apple iBook,
IBM Thinkpad. cpudyn is just a user space program, so it will work on
every processor suppoted by the kernel's cpufreq driver

%prep
%setup -q -n %name

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot{%_sbindir,%_mandir/man8,%_sysconfdir/sysconfig,%_initrddir}
cp cpudynd %buildroot%_sbindir/cpudynd
#bzip2 cpudynd.8
cp cpudynd.8 %buildroot%_mandir/man8/

bzcat %SOURCE1 > %buildroot%_initrddir/%name

cat > %buildroot/%_sysconfdir/sysconfig/%name <<EOF
OPTS="-i 1 -p 0.5 0.90"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_sbindir/cpudynd
%_mandir/man8/cpudynd*
%config(noreplace) %_sysconfdir/sysconfig/cpudyn
%_initrddir/cpudyn

%changelog
* Fri Oct 10 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.6-1mdk
- 1st mdk package

